WorkflowSettings
Create or replace the variable profile settings for the current company
PUT
/
workflows
/
settings
/
variable-profile
Create or replace the variable profile settings for the current company
curl --request PUT \
--url https://api.reelevant.com/v2/workflows/settings/variable-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceGroupIds": [
"<string>"
],
"profiles": [
{
"id": "<string>",
"name": "<string>",
"variables": {
"rlvt-u": "<string>",
"rlvt-m": "<string>",
"utm_campaign": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_term": "<string>"
}
}
]
}
'import requests
url = "https://api.reelevant.com/v2/workflows/settings/variable-profile"
payload = {
"resourceGroupIds": ["<string>"],
"profiles": [
{
"id": "<string>",
"name": "<string>",
"variables": {
"rlvt-u": "<string>",
"rlvt-m": "<string>",
"utm_campaign": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_term": "<string>"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceGroupIds: ['<string>'],
profiles: [
{
id: '<string>',
name: '<string>',
variables: {
'rlvt-u': '<string>',
'rlvt-m': '<string>',
utm_campaign: '<string>',
utm_source: '<string>',
utm_medium: '<string>',
utm_term: '<string>'
}
}
]
})
};
fetch('https://api.reelevant.com/v2/workflows/settings/variable-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"_id": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"profiles": [
{
"id": "<string>",
"name": "<string>",
"variables": {
"rlvt-u": "<string>",
"rlvt-m": "<string>",
"utm_campaign": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_term": "<string>"
}
}
]
},
"code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Was this page helpful?
⌘I
Create or replace the variable profile settings for the current company
